"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const unit_1 = require("../unit");
const dotenv_1 = __importDefault(require("dotenv"));
dotenv_1.default.config();
const unit = new unit_1.Unit(process.env.UNIT_TOKEN || "test", process.env.UNIT_API_URL || "test");
const customersId = [];
describe("Customers List", () => {
    test("Get Customers List", async () => {
        const res = await unit.customers.list();
        res.data.forEach(element => {
            expect(element.type === "businessCustomer" || element.type === "individualCustomer").toBeTruthy();
            customersId.push(element.id);
        });
    });
});
describe("Get Customer Test", () => {
    test("get each customer", async () => {
        customersId.forEach(async (id) => {
            const res = await unit.customers.get(id);
            expect(res.data.type === "businessCustomer" || res.data.type === "individualCustomer").toBeTruthy();
        });
    });
});
